//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class Promotion
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Promotion()
        {
            this.CategoryPromotions = new HashSet<CategoryPromotion>();
            this.ExcludedProducts = new HashSet<ExcludedProduct>();
            this.ProductPromotions = new HashSet<ProductPromotion>();
            this.Promotion_PaymentMethods = new HashSet<Promotion_PaymentMethods>();
        }
    
        public int PromotionId { get; set; }
        public string Title { get; set; }
        public Nullable<int> UserType { get; set; }
        public int PromotionTypeId { get; set; }
        public Nullable<decimal> MinimumOrder { get; set; }
        public Nullable<decimal> DiscountPercent { get; set; }
        public Nullable<int> UnitsTaken { get; set; }
        public Nullable<int> UnitsPaid { get; set; }
        public Nullable<int> PaymentMethodId { get; set; }
        public Nullable<int> MinimumUnits { get; set; }
        public Nullable<int> EveryUnits { get; set; }
        public Nullable<int> FreeUnits { get; set; }
        public System.DateTime StartDate { get; set; }
        public System.DateTime EndDate { get; set; }
        public Nullable<System.DateTime> Deleted { get; set; }
        public string DeletedBy { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CategoryPromotion> CategoryPromotions { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ExcludedProduct> ExcludedProducts { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ProductPromotion> ProductPromotions { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Promotion_PaymentMethods> Promotion_PaymentMethods { get; set; }
    }
}
